import java.io.FileInputStream;
import java.io.InputStream;
/**
 * @author Lucie Rt Bittnerov
 *
 * Tato tda oekv jeden parametr, kter interpretuje jako jmno souboru.
 * Tento soubor pak pevede na javovou promnnou typu byte[] a vytiskne
 * na standardn vstup.
 */
public class PNGToByteArray {
	public static void main(String[] args){
		if(args.length!=1){
			System.out.println("patn poet parametr.\n");
			return;
		}
		try{
			InputStream is = new FileInputStream(args[0]);
			int i = is.read();
			System.out.print("{");
			while(i!=-1){
				System.out.print((byte)i + ",");
				i = is.read();
			}
			System.out.print("}");
			System.out.println("");
		}catch(Exception e){
			e.printStackTrace();
		}
	}
}
